org.eclipse.emf.cdo.ui

## Class Support

- java.lang.Object
- - org.eclipse.emf.cdo.ui.Support

-     public abstract class Support
      extends java.lang.Object

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Support` | `COMPARE`
    `static Support` | `HISTORY`
    `static Support` | `PROPERTIES`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `determineAvailability()`
    `boolean` | `isAvailable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTIES

          public static final Support PROPERTIES

    - #### HISTORY

          public static final Support HISTORY

    - #### COMPARE

          public static final Support COMPARE

  - ### Method Detail

    - #### isAvailable

          public boolean isAvailable()

    - #### determineAvailability

          protected abstract boolean determineAvailability()
                                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html